--
-- WoodlandSeriesTrailer
-- Specialization for WoodlandSeriesTrailer
--
-- @author  Manuel Leithner
-- @date  10/01/09
--

WoodlandSeriesTrailer = {};

function WoodlandSeriesTrailer.prerequisitesPresent(specializations)
    return true;
end;

function WoodlandSeriesTrailer:load(xmlFile)
    if self.fillSound ~= nil then
        delete(self.fillSound);
    end;	
	local fillSound = getXMLString(xmlFile, "vehicle.fillingSound#file");
    if fillSound ~= nil and fillSound ~= "" then
		fillSound = Utils.getFilename(fillSound, self.baseDirectory);
        self.fillSound = createSample("fillSound");
        loadSample(self.fillSound, fillSound, false);
        self.fillSoundPitchOffset = Utils.getNoNil(getXMLFloat(xmlFile, "vehicle.fillingSound#pitchOffset"), 1);
        self.fillSoundVolume = Utils.getNoNil(getXMLFloat(xmlFile, "vehicle.fillingSound#pitchMax"), 2.0);
        self.fillSoundEnabled = false;
    end;
end;

function WoodlandSeriesTrailer:delete()
end;

function WoodlandSeriesTrailer:mouseEvent(posX, posY, isDown, isUp, button)
end;

function WoodlandSeriesTrailer:keyEvent(unicode, sym, modifier, isDown)
end;

function WoodlandSeriesTrailer:update(dt)
end;

function WoodlandSeriesTrailer:draw()
end;

